using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "CavalryClass", menuName = "Card Class/Cavalry Class Data")]
public class CavalryClass : UnitClass
{
    public int extraMovement = 1;
    public override void ApplyClassSpecilization(Unit unit)
    {
        unit.Movement += extraMovement;
    }
}
